/*
 * Copyright (c) 2014, Oracle and/or its affiliates. All Rights Reserved.
 */

// Santiago Pericas-Geertsen <santiago.pericasgeertsen@oracle.com>

module.exports = function(backend) {
    var avatar = require("org/glassfish/avatar");

    avatar.registerRestService({
        url: "/rest/product/{pname}"
    }, function() {
        this.onGet = function(req, res) {
            var pname = this.pname;
            backend.Product.find(pname).then(function(p) {
                if (!p) {
                    res.status = 404;
                    res.send('Unable to find product ' + pname);
                } else {
                    res.send(p);
                }
            }).otherwise(function() {
                res.status = 500;
                res.send("Error getting product " + pname);
            });
        };
    });
};